Commit 839b70c6 authored by Fabio Tranchitella's avatar Fabio Tranchitella

Removed upstream source code, we'll store only the debian/ dir in the repository.

parent 8cd70c2a
This diff is collapsed.
CREDITS: 2004/09/10
The core team of PostGIS is from Refractions Research:
Sandro Santilli, Paul Ramsey, Jeff Lounsbury and Chris Hodgson.
All versions include substantial contributions from the
core team.
VERSION SPECIFIC CREDITS:
PostGIS is developed by Refractions Research Inc, of Victora,
British Columbia, Canada (http://www.refractions.net), as an ongoing project
in using PostgreSQL as a geospatial data-store. The following contributors
have participated in the project:
Sandro Santilli - Maintenance and core programming (the new stuff)
Dave Blasby - Core server objects and indexing (original contributions)
Paul Ramsey - Extensions to the PostgreSQL JDBC driver, doco, web.
Jeff Lounsbury - Shape file loader/dumper.
Version 0.2 of PostGIS includes contributions from:
Norman Vine on CygWin compilation issues
Version 0.5 of PostGIS includes contributions from:
Geographic Data BC (David Skea and Mark Sondheim) with funding and
direction on adding calculations on a spheroid to PostGIS.
Version 0.7 of PostGIS includes patches from:
Steffen Macke on numerous loader/dumper bugs.
Bernhard Reiter on some documentation issues and a loader limit.
Mark Cave-Ayland on truly_inside().
STRK on shp2pgsql improvements
Version 0.8 of PostGIS includes patches from:
Carl Anderson on schemas
STRK on numerous bug fixes and enhancements
Ralph Mason on WKT parsing for LWGEOM
Mark Cave-Ayland with help on PgSQL 7.5 statistics
Version 0.9 of PostGIS includes patches from:
Klaus Foerster <klaus@svg.cc> on AsSVG()
Olivier Courtin <pnine@free.fr> on AsSVG()
Bruno Wolff III on the distance_sphere algorithm
Version 1.0.0 of PostGIS includes code from:
Mark Cave-Ayland <m.cave-ayland@webbased.co.uk> with new positional
operators, join estimator and general testing and support.
Markus Schaber <markus@schabi.de> author of the jdbc2 interface
Version 1.1.0 of PostGIS includes patches from:
Obe, Regina <robe.dnd@cityofboston.gov> with -k switch for pgsql2shp.
Version 1.2.1 of PostGIS includes patches from:
Eduin Carrillo <yecarrillo@yahoo.com> for AsKML() and Transform()
short circuit.
See the postgis manual for more contributors.
This diff is collapsed.
#-----------------------------------------------------
#
# Configuration directives are in Makefile.config
#
#-----------------------------------------------------
all: Makefile.config liblwgeom loaderdumper utils
install: all liblwgeom-install loaderdumper-install
uninstall: liblwgeom-uninstall loaderdumper-uninstall docs-uninstall
clean: Makefile.config liblwgeom-clean loaderdumper-clean docs-clean test-clean
rm -f lwpostgis.sql lwpostgis_upgrade.sql
distclean: clean
rm -Rf autom4te.cache
rm -f config.log config.cache config.status Makefile.config
rm -f config.h
maintainer-clean: Makefile.config
@echo '------------------------------------------------------'
@echo 'This command is intended for maintainers to use; it'
@echo 'deletes files that may need special tools to rebuild.'
@echo '------------------------------------------------------'
$(MAKE) -C doc maintainer-clean
$(MAKE) -C lwgeom maintainer-clean
$(MAKE) -C jdbc2 maintainer-clean
$(MAKE) distclean
rm -f configure
test check:
$(MAKE) -C regress test
test-clean:
$(MAKE) -C regress clean
liblwgeom: Makefile.config
$(MAKE) -C lwgeom
liblwgeom-clean:
$(MAKE) -C lwgeom clean
liblwgeom-install:
$(MAKE) -C lwgeom install
liblwgeom-uninstall:
$(MAKE) -C lwgeom uninstall
loaderdumper: Makefile.config
$(MAKE) -C loader
loaderdumper-clean:
$(MAKE) -C loader clean
loaderdumper-install:
$(MAKE) -C loader install
loaderdumper-uninstall:
$(MAKE) -C loader uninstall
templategis: Makefile.config
$(MAKE) -C extras/template_gis
templategis-clean:
$(MAKE) -C extras/template_gis clean
templategis-install:
$(MAKE) -C extras/template_gis install
templategis-uninstall:
$(MAKE) -C extras/template_gis uninstall
docs: Makefile.config
$(MAKE) -C doc
docs-clean: Makefile.config
$(MAKE) -C doc clean
docs-install:
$(MAKE) -C doc install
docs-uninstall:
$(MAKE) -C doc uninstall
utils:
$(MAKE) -C utils
configure: configure.in
./autogen.sh
config.status: configure
./configure
Makefile.config: Makefile.config.in config.status
./config.status
config.h: config.h.in config.status
./config.status
.PHONY: utils
# this file copied and adapted from PostgreSQL source
# to allow easy build on BSD systems
all install uninstall clean distclean maintainer-clean test check docs docs-install docs-uninstall utils:
@IFS=':' ; \
for dir in $$PATH; do \
for prog in gmake gnumake make; do \
if [ -f $$dir/$$prog ] && ( $$dir/$$prog -f /dev/null --version 2>/dev/null | grep GNU >/dev/null 2>&1 ) ; then \
GMAKE=$$dir/$$prog; \
break 2; \
fi; \
done; \
done; \
\
if [ x"$${GMAKE+set}" = xset ]; then \
echo "Using GNU make found at $${GMAKE}"; \
$${GMAKE} $@ ; \
else \
echo "You must use GNU make to build PostGIS." ; \
false; \
fi
#---------------------------------------------------------------
# Configuration Directives
#---------------------------------------------------------------
#
# We recommend that you install the Proj4 and GEOS libraries
# referenced below to get the most use out of your PostGIS
# database.
#
# Set USE_PROJ to 1 for Proj4 reprojection support (recommended)
#
# Reprojection allows you to transform coordinate systems
# in the database with the Transform() function.
#
# Download from: http://www.remotesensing.org/proj
#
USE_PROJ=@USE_PROJ@
PROJ_DIR=@PROJ_DIR@
PROJ_LIBDIR=@PROJ_LIBDIR@
#
# Set USE_GEOS to 1 for GEOS spatial predicate and operator
# support (recommended).
# GEOS installation directory defaults to /usr/local,
# set GEOS_DIR environment variable to change it.
#
# GEOS allows you to do exact topological tests, such as
# Intersects() and Touches(), as well as geometry operations,
# such as Buffer(), GeomUnion() and Difference().
#
# Download from: http://geos.refractions.net
#
USE_GEOS=@USE_GEOS@
GEOS_DIR=@GEOS_DIR@
GEOS_LDFLAGS=@GEOS_LDFLAGS@
# EXPERIMENTAL! use geos C-API (only available with GEOS-2.2.x and up)
USE_GEOS_CAPI=@USE_GEOS_CAPI@
#
# Set USE_JTS to 1 if you have libjts installed.
#
USE_JTS=@USE_JTS@
JTS_INCLUDES=@JTS_INCLUDES@
JTS_LIBDIR=@JTS_LIBDIR@
#
# Set USE_STATS to 1 for new GiST statistics collection support
# Note that this support requires additional columns in
# GEOMETRY_COLUMNS, so see the list archives for info or
# install a fresh database using postgis.sql.
# This option is useless for builds against PGSQL>=80 (stats
# are always gathered in that case, and you don't need additional
# columns in geometry_columns).
#
USE_STATS=1
#
# Set AUTOCACHE_BBOX to 0 if you want finer control over
# bounding box computation and caching for your geometries.
# If you do, bbox computattion strategies are listed in
# the file lwgeom/BBOXCACHE_BEHAVIOURS, but don't expect
# them to be easy nor consistent.
#
AUTOCACHE_BBOX=1
#
# Set USE_ICONV to 1 if you want the loader (shp2pgsql)
# to support UTF-8 output.
#
USE_ICONV=@USE_ICONV@
ICONV_LDFLAGS=@ICONV_LDFLAGS@
#
# PGSQL
#
PGCONFIG=@PGCONFIG@
PGFEINCLUDES=@PGFEINCLUDES@
PGBEINCLUDES=@PGBEINCLUDES@
PGFELIBS=@PGFELIBS@
PGBELIBS=@PGBELIBS@
PORTNAME=@PORTNAME@
#
# Docbook
#
XSLBASE=@XSLBASE@
XSLTPROC=@XSLTPROC@
PDFXMLTEX=@PDFXMLTEX@
DB2PDF=@DB2PDF@
JW=@JW@
DOC_RULE=@DOC_RULE@
#
# Compilers
#
CC=@CC@
CXX=@CXX@
ELF_SYSTEM=@ELF_SYS@
#
# Other programs
#
PERL=@PERL@
FLEX=@FLEX@
YACC=@YACC@
LN_S=@LN_S@
INSTALL=@INSTALL@ -c
PWDREGRESS=@PWDREGRESS@
INSTALL_DATA=$(INSTALL) -m 644
INSTALL_BIN=$(INSTALL) -m 755
INSTALL_LIB=$(INSTALL) -m 755
INSTALL_SHLIB=$(INSTALL_LIB)
#
# PATHS
#
prefix=@prefix@
exec_prefix=@exec_prefix@
bindir=@bindir@
datadir=@datadir@
mandir=@mandir@
docdir=@docdir@
libexecdir=@libexecdir@
libdir=@libdir@
LPATH=@LPATH@
#
# DLL
#
DLSUFFIX=@DLSUFFIX@
DLFLAGS=@DLFLAGS@
# these are for win32 and cygwin platforms
DLLTOOL=@DLLTOOL@
DLLWRAP=@DLLWRAP@
#
# EXE
#
EXE=@EXE@
#
# HOST OS
#
HOST_OS=@HOST_OS@
#---------------------------------------------------------------
# END OF CONFIGURATION
#---------------------------------------------------------------
# Use JTS instead of GEOS if available
ifeq ($(USE_JTS),1)
USE_GEOS=0
endif
#---------------------------------------------------------------
# Test the version string and set the USE_VERSION macro
# appropriately.
#
VERSION=$(shell $(PGCONFIG) --version)
ifneq ($(findstring 7.1,$(VERSION)),)
USE_VERSION=71
else
ifneq ($(findstring 7.2,$(VERSION)),)
USE_VERSION=72
else
ifneq ($(findstring 7.3,$(VERSION)),)
USE_VERSION=73
else
ifneq ($(findstring 7.4,$(VERSION)),)
USE_VERSION=74
else
ifneq ($(findstring 8.0,$(VERSION)),)
USE_VERSION=80
else
ifneq ($(findstring 8.1,$(VERSION)),)
USE_VERSION=81
else
USE_VERSION=82
endif
endif
endif
endif
endif
endif
This diff is collapsed.
PostGIS - Geographic Information Systems Extensions to PostgreSQL
~~~~~~~ ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
VERSION: 1.2.1 (2007/01/11)
MORE INFORMATION: http://postgis.refractions.net
This distribution contains a module which implements GIS simple
features, ties the features to rtree indexing, and provides some
spatial functions for accessing and analyzing geographic data.
Directory structure:
./ Build scripts and install directions.
./lwgeom Library source code.
./java/ejb EJB Java support
./java/jdbc Extensions to the PostgreSQL JDBC drivers to support
the GIS objects.
./java/pljava PostgreSQL PL/Java spatial object support
./doc PostGIS Documentation
./loader A program to convert ESRI Shape files into SQL text
suitable for uploading into a PostGIS/PostgreSQL database
and a program for converting PostGIS spatial tables into
Shape files.
./utils Utility scripts for PostGIS (upgrade, profiling, ...)
./extras Various pieces that didn't belong to mainstream
(package management specfiles, WFS_locks, sample wkb parser)
./regress Regression tests
REQUIREMENTS
------------
PostGIS is compatible with PostgreSQL 7.4 and above.
You *must* have full PostgreSQL - including server headers - installed
for this to work. Note that server headers are not installed by
default until PostgreSQL 8.0.0 and require the special 'install-all-headers'
Makefile rule.
SEE THE NOTE ON GEOS SUPPORT BELOW FOR SPECIAL COMPILATION INSTRUCTIONS
* PROJ4 SUPPORT (Recommended):
The Proj4 reprojection library is required if you want to use the
transform() function to reproject features within the database.
http://www.remotesensing.org/proj
* SPATIAL PREDICATE / GEOS SUPPORT (Recommended):
The GEOS library provides support for exact topological tests
such as Touches(), Contains(), Disjoint() and spatial operations
such as Intersection(), Union() and Buffer().
http://geos.refractions.net
OLD NOTE: In order to use the GEOS support, you *may* need to
specially compile your version of PostgreSQL to link the C++ runtime library.
To do this, invoke the PgSQL configuration script this way:
LDFLAGS=-lstdc++ ./configure --your-options-go-here
The initial LDFLAGS variable is passed through to the Makefile and
adds the C++ library to the linking stage.
CONFIGURATION
-------------
To configure PostGIS, as root run:
./configure
Last lines from configure output will give a configuration summary.
If pg_config can't be found in your $PATH configure will complan
and refuse to proceed. You can specify it using the --with-pgsql-PATH
flag.
If you don't see PROJ4 in the report (and you did have installed it)
this means that proj4 installation dir could not be found.
You can specify it using the --with-proj=DIR flag.
If you don't see GEOS in the report (and you did have installed it)
this means that geos-config could not be found.
You can specify it using the --with-geos=PATH flag.
See ./configure --help for more options.
BUILD
-----
To build PostGIS library and utilities, as root run:
make
TESTING
-------
You want to run regress tests before installation.
To do so, as postgres run:
make check
Final lines of output contain a summary of test results:
run, succeeded, failed. If you have any failure please
file a bug report using the online bug tracker:
http://postgis.refractions.net/bugs.
INSTALLATION
------------
To install PostGIS library and utilities, as root run:
make install
Installation paths will typically be derived by ``pg_config'':
- Lib in `pg_config --pkglibdir`
- Binaries (loader/dumper) in `pg_config --bindir`
- Important support files in [prefix]/share/contrib
- Manual pages in [prefix]/man
- Documentation in in [prefix]/share/doc
Where [prefix] above is extracted by `pg_config --configure`.
You can change them using ./configure switches.
See CONFIGURARION section.
CREATING NEW SPATIAL DATABASES
------------------------------
PostGIS support must be enabled for each database that requires
its usage. This is done by feeding the lwpostgis.sql (the enabler script)
file to the targed database.
The enabler script requires the PL/pgSQL procedural language in order
to operate correctly, you can use the 'createlang' program from the
PostgreSQL installation.
(The PostgreSQL Programmer's Guide has details if you want to do this
manually for some reason.)
So, as postgres run:
createlang plpgsql yourdatabase
psql -f lwpostgis.sql -d your_database
Your database should now be spatially enabled.
UPGRADING EXISTING SPATIAL DATABASES
------------------------------------
Upgrading existing spatial databases can be tricky as it requires
replacement or introduction of new PostGIS object definitions.
Unfortunately not all definitions can be easily replaced in
a live database, so sometimes your best bet is a dump/reload
process.
PostGIS provides a SOFT UPGRADE procedure for minor or bugfix
releases, and an HARD UPGRADE procedure for major releases.
--- SOFT UPGRADE ---
Soft upgrade consists of sourcing the lwpostgis_upgrade.sql
script in your spatial database:
psql -f lwpostgis_upgrade.sql -d your_spatial_database
If a soft upgrade is not possible the script will abort and
you will be warned about HARD UPGRADE being required,
so do not hesitate to try a soft upgrade first.
--- HARD UPGRADE ---
Hard upgrade is a PostgreSQL dump/restore procedure combined
with a filter to selectively update PostGIS functions and
objects to point to a new library version.
Hard upgrades are required when object definitions have changed,
aggregates have changed or been added, and when the underlying
PostgreSQL database itself has undergone a major update.
For this purpose, PostGIS provides a utility script to restore a dump
in "custom" format. The hard upgrade procedure is as follows:
# Create a "custom-format" dump of the database you want
# to upgrade (let's call it "olddb")
$ pg_dump -Fc olddb olddb.dump
# Restore the dump while upgrading postgis into
# a new database.
# Note: The new database does NOT have to exist.
# Let's call it "newdb"
$ sh utils/postgis_restore.pl lwpostgis.sql newdb olddb.dump > restore.log
# Check that all restored dump objects really had to be
# restored from dump and do not conflict with the
# ones defined in lwpostgis.sql
$ grep ^KEEPING restore.log | less